Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.jaxb
Class JaxbAssertion<T>

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.jaxb.JaxbAssertion<T>

All Implemented Interfaces:
  org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class JaxbAssertion<T>

extends PrimitiveAssertion

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`name, optional`

Constructor Summary
`JaxbAssertion()`
`JaxbAssertion(javax.xml.namespace.QName qn, boolean optional)`

Method Summary
`static
`<T> JaxbAssertion<T>`
` | `cast(org.apache.neethi.Assertion a)`
`static
`<T> JaxbAssertion<T>`
` | `cast(org.apache.neethi.Assertion a, java.lang.Class<T> type)`
`protected org.apache.neethi.Assertion` | `cloneMandatory()`
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`T` | `getData()`
`void` | `setData(T d)`

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`getName, getType, isOptional, normalize, serialize, setName, setOptional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbAssertion

    public JaxbAssertion()

### JaxbAssertion

    public JaxbAssertion(javax.xml.namespace.QName qn,
                         boolean optional)

Method Detail

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `equal` in class `PrimitiveAssertion`

### setData

    public void setData(T d)

### getData

    public T getData()

### cloneMandatory

    protected org.apache.neethi.Assertion cloneMandatory()

  Overrides:
    `cloneMandatory` in class `PrimitiveAssertion`

### cast

    public static <T> JaxbAssertion<T> cast(org.apache.neethi.Assertion a)

### cast

    public static <T> JaxbAssertion<T> cast(org.apache.neethi.Assertion a,
                                            java.lang.Class<T> type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF